#include <bits/stdc++.h>
using namespace std;
int main()
{
    string T;
    cin >> T;
    int N = T.size(), R;
    int i = 0, j = N - 1;
    while (T[i] != 'b') ++i;
    while (T[j] != 'b') --j;
    R = abs(i + 1 - N + j);
    if (N % 2)
    {
        if (j < N / 2) R = N / 2 - i;
        else if (i > N / 2) R = j - N / 2;
    }
    else
    {
        if (j < N / 2) R = N / 2 - i;
        else if (i > N / 2 - 1) R = j - N / 2 + 1;
    }
    cout << ++R;
}